Hardware Locality (hwloc) 2.0.4

Data Fields
hwloc_topology_discovery_support Struct Reference
Topology Detection Configuration and Query

`#include <hwloc.h>`

## Data Fields
unsigned char | pu
unsigned char | numa
unsigned char | numa_memory

## Detailed Description

Flags describing actual discovery support for this topology.

## Field Documentation

## ◆ numa

unsigned char hwloc_topology_discovery_support::numa

Detecting the number of NUMA nodes is supported.

## ◆ numa_memory

unsigned char hwloc_topology_discovery_support::numa_memory

Detecting the amount of memory in NUMA nodes is supported.

## ◆ pu

unsigned char hwloc_topology_discovery_support::pu

Detecting the number of PU objects is supported.

The documentation for this struct was generated from the following file:

- hwloc.h